#!/usr/bin/env python

from moinformat import parse
from moinformat.serialisers import serialise, HTMLSerialiser

sl = []

sl.append("""\
Hello
{{{{#!wiki
A region
  {{{
Another
}}}
End
}}}}
XXX
""")

sl.append("""\
XXX
 * Item 1
   * Item 1.1
 * Item 2
 . Item 3
   . Item 3.1
XXX
""")

sl.append("""\
XXX
 a. Appendix

 i. Romanus eunt domus!
 I. What did they do for us?
""")

sl.append("""\
 term:: item
not a term:: nor an item
 term::
 :: item
 ::non-item
""")

sl.append("""\
Hello
{{{{#!xxx
A region
{{{
Another
}}}
End
}}}}
XXX
""")

sl.append("""\
Hello
{{{{
Start
}}}
Still in region
}}}}
End
""")

sl.append("""\
Hello {{{world}}} again""")

sl.append("""\
XXX

YYY""")

sl.append("""\
XXX
----
YYY
 ----still a rule
also still a rule----
EOF""")

sl.append("""\
= Level 1 =
Text
  == Level 2 Heading ==  
Text
Not == a heading ==
== Not a heading == either
= Mismatched heading ==
== Another mismatched heading =
=== Heading __Underlined__ ===
""")

sl.append("""\
''Some'' emphasised text. ''Emphasised''''text''.

'''Strong ''and italic'' text.'''

''Italic and '''strong'''''. '''''Both'', strong'''. '''''Both''', italic''.

'''Strong''''''text'''.

Some `monospace` text. `Mono, '''strong'''`, __underlined__, __''under''lined__.

H,,2,,O + CO,,2,,

== e = mc^2^ ==

~+Larger...+~ and ~-smaller-~
""")

sl.append("""\
||<20%|2-2)^> Cell 1 || Cell 2 ||
|| Cell 3 ||<#FF0000 width="15%"> Cell 4 ||

|| Not a table
 || Also not a table
|| Almost a table || ...
|| A table, trailing space || 
""")

dl = map(parse, sl)
nl = map(serialise, dl)

for s, n in zip(sl, nl):
    print n == s
    print "----"
    print n
    print "----"

for d in dl:
    print
    print "----"
    print serialise(d, HTMLSerialiser)
    print "----"

for d in dl:
    print
    print "----"
    print d.prettyprint()
    print "----"

# vim: tabstop=4 expandtab shiftwidth=4
